Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 627390 (CVE-2017-9865) - <app-text/poppler-0.57.0: buffer over-read in the GfxImageColorMap::getGray function (CVE-2017-9865)
Summary: <app-text/poppler-0.57.0: buffer over-read in the GfxImageColorMap::getGray f...
Status: RESOLVED FIXED
Alias: CVE-2017-9865
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A3 [glsa+ cve]
Keywords:
Depends on: 626844 627392 627402 627538
Blocks: CVE-2017-7511 CVE-2017-9406, CVE-2017-9408
  Show dependency tree
 
Reported: 2017-08-09 11:42 UTC by Michael Palimaka (kensington)
Modified: 2018-01-17 13:43 UTC (History)
3 users (show)

See Also:
Package list:
app-text/poppler-0.57.0
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Palimaka (kensington) gentoo-dev 2017-08-09 11:42:24 UTC
The function GfxImageColorMap::getGray in GfxState.cc in Poppler 0.54.0 allows remote attackers to cause a denial of service (stack-based buffer over-read and application crash) via a crafted PDF document, related to missing color-map validation in ImageOutputDev.cc.
Comment 1 Michael Palimaka (kensington) gentoo-dev 2017-08-09 11:48:33 UTC
We're quite behind on poppler version so barring any major issues I think we should proceed with stabilising the latest 0.57.0.

We'll need to coordinate with office team for libreoffice-bin and we'll need to look into some revdep issues like bug #626844 and bug #626874.
Comment 2 Michael Palimaka (kensington) gentoo-dev 2017-08-12 08:38:39 UTC
I've done a quick test of the revdeps, and haven't found any other issues beyond what are already marked as blocking this bug.
Comment 3 Michael Palimaka (kensington) gentoo-dev 2017-10-01 11:57:25 UTC
Let's proceed with stabilising app-text/poppler-0.57.0.
Comment 4 Larry the Git Cow gentoo-dev 2017-10-01 12:12:40 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd3c859b04898990e9087cd8ee51cbf922feff7d

commit cd3c859b04898990e9087cd8ee51cbf922feff7d
Author:     Michael Palimaka <kensington@gentoo.org>
AuthorDate: 2017-10-01 12:12:13 +0000
Commit:     Michael Palimaka <kensington@gentoo.org>
CommitDate: 2017-10-01 12:12:30 +0000

    app-text/poppler: stabilise 0.57.0 for amd64/x86
    
    Bug: https://bugs.gentoo.org/627390
    Package-Manager: Portage-2.3.8, Repoman-2.3.3

 app-text/poppler/poppler-0.57.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 5 Sergei Trofimovich gentoo-dev 2017-10-02 13:26:00 UTC
ia64 stable
Comment 6 Sergei Trofimovich gentoo-dev 2017-10-03 08:58:30 UTC
ppc/ppc64 stable
Comment 7 Markus Meier gentoo-dev 2017-10-14 06:17:04 UTC
arm stable
Comment 8 Sergei Trofimovich gentoo-dev 2017-10-15 18:07:37 UTC
hppa stable
Comment 9 Andreas Sturmlechner gentoo-dev 2017-11-05 13:56:28 UTC
alpha ping
Comment 10 Tobias Klausmann gentoo-dev 2017-11-06 13:19:12 UTC
Stable on alpha.
Comment 11 Andreas Sturmlechner gentoo-dev 2017-11-23 17:00:27 UTC
@arm64: want to have a go at it as well?
Comment 12 Andreas Sturmlechner gentoo-dev 2017-11-23 21:18:05 UTC
Cleaned up vulnerable version.
Comment 13 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-11-24 14:29:33 UTC
New GLSA Request filed.
Comment 14 Andreas Sturmlechner gentoo-dev 2017-11-24 19:33:36 UTC
KDE work done.
Comment 15 Andreas Sturmlechner gentoo-dev 2017-12-13 22:19:57 UTC
Removing arches for cleaned up version.
Comment 16 GLSAMaker/CVETool Bot gentoo-dev 2018-01-17 13:43:40 UTC
This issue was resolved and addressed in
 GLSA 201801-17 at https://security.gentoo.org/glsa/201801-17
by GLSA coordinator Aaron Bauman (b-man).